<?php
include 'header.php';
include 'erpc_financeiro_metas_toolbar.php';
include_once 'connect.php';
require_once 'inc/usuario.php';

checkLogin('login.php');

// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_unidade = $usuario_list['unidade'];

$ar_meses = array(
    'Janeiro',
    'Fevereiro',
    'Março',
    'Abril',
    'Maio',
    'Junho',
    'Julho',
    'Agosto',
    'Setembro',
    'Outubro',
    'Novembro',
    'Dezembro'
);

if(isset($_GET['id'])){
    $id_meta = base64_decode($_GET['id']);
    $sql = "select   id
                    ,month(dt_meta) mes
                    ,year(dt_meta) ano
                    ,vl_meta_receita
                    ,vl_meta_despesa
                    ,vl_meta_lucro_prejuizo
                    ,vl_meta_lucratividade 
                from erpc_financeiro_metas 
                where id = $id_meta
                and st_ativo=1";
    //echo $sql . "<br><br>";
    $result = mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
    if(mysqli_num_rows($result) > 0){
        while($registro = mysqli_fetch_assoc($result)){
            $nr_mes = $registro['mes'];
            $nr_ano = $registro['ano'];
            $vl_meta_receita = $registro['vl_meta_receita'];
            $vl_meta_despesa = $registro['vl_meta_despesa'];
            $vl_meta_lucro_prejuizo = $registro['vl_meta_lucro_prejuizo'];
            $vl_meta_lucratividade = $registro['vl_meta_lucratividade'];
        }
    }
}

?>

<!-- Nav tabs -->
<ul class="nav nav-tabs" role="tablist">
  <li role="presentation" class="active"><a href="#form1" aria-controls="form1" role="tab" data-toggle="tab"><h3>Meta Mensal</h3></a></li>
</ul>


<!-- Tab panes -->
<div class="tab-content">
  <div role="tabpanel" class="tab-pane fade in active" id="form1">
<form id=validate_custom method=POST action="erpc_financeiro_metas_ws.php">
  <div class=block>
    <div class=header>
    </div>
    <div class="content controls">
      <div class=form-row>
        <div class=col-md-3>Ano:</div>
        <div class=col-md-3>
        	<select required id="nr_ano" name="nr_ano" class="form-control">
        		<?php 
        		$anoInicial = date('Y');
        		foreach (range($anoInicial, $anoInicial+5) as $ano) {
        		    if(isset($nr_ano)){
        		        if($ano == $nr_ano){
        		            echo "<option selected value='$ano'>$ano</option>";
            		    }else{
            		        echo "<option value='$ano'>$ano</option>";
            		    }
            		}elseif($ano == date('Y')){
            		        echo "<option selected value='$ano'>$ano</option>";
        		    }else{
        		        echo "<option value='$ano'>$ano</option>";
        		    } 
        		}
        		?>
        	</select>
        </div>
      </div>
	  <div class=form-row>
        <div class=col-md-3>Mês</div>
        <div class=col-md-3>  
        	<select required id="nr_mes" name="nr_mes" required class="form-control">
        		<?php 
        		for($i=0; $i< sizeof($ar_meses); $i++){
        		    $j = $i+1;
        		    if(isset($nr_mes)){
        		        if($j == $nr_mes){
        		            echo "<option selected value=$j>$ar_meses[$i]</option>";
        		        }else{
        		            echo "<option value=$j>$ar_meses[$i]</option>";
        		        }
        		    }else{
        		        echo "<option value=$j>$ar_meses[$i]</option>";
        		    }   
        		}        		
        		?>

        	</select>
        </div>
      </div>
	  <div class=form-row>
        <div class=col-md-3>Meta de Receitas:</div>
        <div class=col-md-3><input type=text id="vl_meta_receita" name="vl_meta_receita" value="<?php if(isset($vl_meta_receita)){ echo $vl_meta_receita;} ?>" required class="form-control mask_money" /> </div>
      </div>	
      <div class=form-row>
        <div class=col-md-3>Meta de Despesas:</div>
        <div class=col-md-3><input type=text id="vl_meta_despesa" name="vl_meta_despesa" value="<?php if(isset($vl_meta_despesa)){ echo $vl_meta_despesa;} ?>" required class="form-control mask_money" /> </div>
      </div>
      <div class=form-row>
        <div class=col-md-3>Meta de Lucro/Prejuízo:</div>
        <div class=col-md-3><input type=text id="vl_meta_lucro" name="vl_meta_lucro" value="<?php if(isset($vl_meta_lucro_prejuizo)){ echo $vl_meta_lucro_prejuizo;} ?>" required class="form-control mask_money" /> </div>
      </div>
      <div class=form-row>
        <div class=col-md-3>Meta de Lucratividade:</div>
        <div class=col-md-3><input type="number" step=".01" id="vl_meta_lucratividade" name="vl_meta_lucratividade" required value="<?php if(isset($vl_meta_lucratividade)){ echo $vl_meta_lucratividade;} ?>" class="form-control" /> </div>
      </div>  
	  <div hidden class=form-row>
        <input type="text" id="id_meta" name="id_meta" value="<?php if(isset($id_meta)){ echo $id_meta;} ?>" value="" class="form-control" />
      </div>
    </div>
    <div class=footer>
      <div class="side pull-right">
        <div class=btn-group> 
		<button class="btn btn-default" type="button" onClick="window.history.go(-1)" value="Voltar">Voltar</button>
        <button class="btn btn-success" type="submit" value="adicionar" onClick="$('#validate_custom').validationEngine('hide');" name="adicionar">Adicionar</button>
			  
		</div>
      </div>
    </div>
  </div>
</form>

  </div>
  
</div>

<?php
include 'footer.php';
?>
<script type="text/javascript">
var unidade = <?=$id_unidade; ?>;

$("#nr_mes").blur(function(){
	ano = $("#nr_ano").val();
	mes = $("#nr_mes").val();

	//alert("Unidade:" + unidade);
	//alert("Mes:" + mes);
	console.log("Ano:" + ano);
	
	$.post( "erpc_financeiro_metas_ws.php", { ajax: "1", nr_ano: ano, nr_mes: mes, id_unidade: unidade})
	  .done(function( data ) {
		if(data!=0){
    		noty({text: 'Esse mês já possui meta definida. Você pode editá-la se desejar', type: 'warning', timeout: 5000});
    		var dados = JSON.parse(data);
    		$("#vl_meta_receita").val(dados.vl_meta_receita);
    		$("#vl_meta_receita" ).focus();
    		$("#vl_meta_despesa").val(dados.vl_meta_despesa);
    		$("#vl_meta_despesa" ).focus();
    		$("#vl_meta_lucro").val(dados.vl_meta_lucro_prejuizo);
    		$("#vl_meta_lucro" ).focus();
    		$("#vl_meta_lucro" ).blur();
    		$("#vl_meta_lucratividade").val(dados.vl_meta_lucratividade);
    		$("#id_meta").val(dados.id);
		}else{
			$("#vl_meta_receita").val(0);
    		$("#vl_meta_receita" ).focus();
    		$("#vl_meta_despesa").val(0);
    		$("#vl_meta_despesa" ).focus();
    		$("#vl_meta_lucro").val(0);
    		$("#vl_meta_lucro" ).focus();
    		$("#vl_meta_lucro" ).blur();
    		$("#vl_meta_lucratividade").val("");
    		$("#id_meta").val("");	
		}
	});
	
});

$("#nr_ano").blur(function(){
	ano = $("#nr_ano").val();
	mes = $("#nr_mes").val();
	
	$.post( "erpc_financeiro_metas_ws.php", { ajax: "1", nr_ano: ano, nr_mes: mes, id_unidade: unidade})
	  .done(function( data ) {
		if(data!=0){
			noty({text: 'Esse mês já possui meta definida. Você pode editá-la se desejar', type: 'warning', timeout: 5000});
			//console.log(data);
    		var dados = JSON.parse(data);
    		$("#vl_meta_receita").val(dados.vl_meta_receita);
    		$("#vl_meta_receita" ).focus();
    		$("#vl_meta_despesa").val(dados.vl_meta_despesa);
    		$("#vl_meta_despesa" ).focus();
    		$("#vl_meta_lucro").val(dados.vl_meta_lucro_prejuizo);
    		$("#vl_meta_lucro" ).focus();
    		$("#vl_meta_lucro" ).blur();
    		$("#vl_meta_lucratividade").val(dados.vl_meta_lucratividade);
    		$("#id_meta").val(dados.id);
		}else{
			$("#vl_meta_receita").val(0);
    		$("#vl_meta_receita" ).focus();
    		$("#vl_meta_despesa").val(0);
    		$("#vl_meta_despesa" ).focus();
    		$("#vl_meta_lucro").val(0);
    		$("#vl_meta_lucro" ).focus();
    		$("#vl_meta_lucro" ).blur();
    		$("#vl_meta_lucratividade").val("");
    		$("#id_meta").val("");
		}	
	});
	
});

</script>











